Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags.validators
Interface Customizable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CompareValidator, CustomizableAdapter, RegExpValidator, RequiredFieldValidator

    public interface Customizable

extends Serializable

Interface to be implemented by clients wanting to substitute their own validate methods and thus creating new classes to be used as validatorClass attributes in the CustomValidator.

Method Summary
`void` | `setErrorMessage(String name)` error message being shown to the user.
`void` | `setExpression(String type)` customExpression which may be used by the implementor for use in the validate method
`void` | `setFieldToValidate(String control)` field being validated
`boolean` | `validate(ServletRequest request)` users may use this method to validate the string value.

Method Detail

### setFieldToValidate

    void setFieldToValidate(String control)

  field being validated

### setErrorMessage

    void setErrorMessage(String name)

  error message being shown to the user.

### setExpression

    void setExpression(String type)

  customExpression which may be used by the implementor for use in the validate method

### validate

    boolean validate(ServletRequest request)
                     throws Exception

  users may use this method to validate the string value. for eg: the value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

  Parameters:
    `value` - : received from the request parameter for this control
  Returns:
    boolean indicating operation status
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD